## ipython 7.12.0

=== debian/changelog ===
ipython (7.12.0-1) unstable; urgency=medium

  * New upstream version 7.12.0
  * d/control: update Standards-Version to 4.5.0

 -- Gordon Ball <gordon@chronitis.net>  Tue, 04 Feb 2020 20:04:33 +0000

ipython (7.11.1-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * New upstream version 7.11.1 (Closes: #949137)

 -- Gordon Ball <gordon@chronitis.net>  Mon, 20 Jan 2020 18:42:30 +0000

ipython (7.11.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gordon Ball <gordon@chronitis.net>  Mon, 06 Jan 2020 14:07:42 +0000

ipython (7.11.0-1) experimental; urgency=medium

  * New upstream version 7.11.0 (Closes: #887101, #942660)
  * d/control:
    + Drop simplegeneric, ipython_genutils from build-depends
    + Add backcall, jedi to build-depends
    + Drop ancient breaks/replaces for oldoldstable
  * d/copyright: drop outdated stanza for file dropped upstream
  * Drop custom entrypoint script: ipython3 previously shipped a custom shell
    script as the entrypoint, we'll now use the standard setuptools-generated
    entrypoint script; ipython3 accordingly gains an explicit dependency on
    python3.
  * Rebase patches
    + Drop 0003-Backport-ipython-11593-for-python-3.8-compat.patch

 -- Gordon Ball <gordon@chronitis.net>  Mon, 30 Dec 2019 20:46:41 +0000

ipython (5.8.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Gordon Ball ]
  * Stop building binary packages python-ipython, ipython from this source.
    For this time being, these packages are built from the ipython-py2 source
    package. This will allow ipython3 to be updated past the 5.x series which
    is the last to support python 2.7.
  * d/control: Update Standards-Version to 4.4.1
  * d/control: Update to debhelper compat level 12
  * d/control: Set Rules-Requires-Root: no
  * d/watch: Update to use github as upstream, unpin from 5.x series
  * Backport ipython#11593 from IPython 7, which fixes compatibility with
    python 3.8 (needed until dependencies are available to upgrade to the
    fixed version).

 -- Gordon Ball <gordon@chronitis.net>  Tue, 24 Dec 2019 21:22:58 +0000

=== debian/control ===
Source: ipython
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Julien Puydt <julien.puydt@laposte.net>, Gordon Ball <gordon@chronitis.net>
Priority: optional
Section: python
Standards-Version: 4.5.0
Homepage: https://github.com/ipython/ipython
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-backcall,
               python3-jedi,
               python3-nose,
               python3-numpydoc,
               python3-pexpect,
               python3-pickleshare,
               python3-prompt-toolkit (>= 2),
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-traitlets,
Vcs-Git: https://salsa.debian.org/python-team/modules/ipython4.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/ipython4
Rules-Requires-Root: no

Package: python-ipython-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Enhanced interactive Python shell (documentation)
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the documentation.

Package: python3-ipython
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-pexpect,
Description: Enhanced interactive Python shell (Python 3 version)
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the backend terminal shell for Python 3: for
 the actual frontend install ipython3.

Package: ipython3
Architecture: all
Section: interpreters
Depends: python3,
         python3-ipython (= ${binary:Version}),
         ${misc:Depends}
Description: Enhanced interactive Python 3 shell
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the actual terminal shell for Python 3.

## ipython 7.13.0

=== docs/requirements.txt ===
-e .
ipykernel
setuptools>=18.5
sphinx
sphinx-rtd-theme
docrepr
matplotlib

=== debian/changelog ===
ipython (7.13.0-1) unstable; urgency=medium

  [ Gordon Ball ]
  * New upstream version 7.13.0

  [ Julien Puydt ]
  * Suggest the doc package (Closes: #807125).

 -- Julien Puydt <jpuydt@debian.org>  Wed, 04 Mar 2020 13:03:33 +0100

=== debian/control ===
--- 
+++ 
@@ -46,6 +46,7 @@
  ${misc:Depends},
  ${python3:Depends},
  python3-pexpect,
+Suggests: python-ipython-doc
 Description: Enhanced interactive Python shell (Python 3 version)
  IPython can be used as a replacement for the standard Python shell,
  or it can be used as a complete working environment for scientific

=== debian/tests/control ===
Test-Command: python3 -c "import IPython; print(IPython)"
Depends: python3, python3-ipython

Tests: ipyshell
Depends: ipython3
Restrictions: allow-stderr

## ipython 7.17.0

=== debian/changelog ===
ipython (7.17.0-1) unstable; urgency=medium

  * New upstream release 7.17.0.
  * Use my @debian.org mail address.
  * Add copyright assignment for debian/* in d/copyright.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 03 Aug 2020 17:39:37 +0200

ipython (7.16.1-1) unstable; urgency=medium

  * New upstream version 7.16.1

 -- Gordon Ball <gordon@chronitis.net>  Sun, 05 Jul 2020 10:50:24 +0000

ipython (7.15.0-1) unstable; urgency=medium

  * New upstream version 7.15.0
  * d/control: use debhelper compatibility level 13

 -- Gordon Ball <gordon@chronitis.net>  Thu, 04 Jun 2020 18:08:35 +0000

ipython (7.14.0-1) unstable; urgency=medium

  * New upstream version 7.14.0

 -- Gordon Ball <gordon@chronitis.net>  Mon, 04 May 2020 18:10:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: ipython
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Julien Puydt <julien.puydt@laposte.net>, Gordon Ball <gordon@chronitis.net>
+Uploaders: Julien Puydt <jpuydt@debian.org>, Gordon Ball <gordon@chronitis.net>
 Priority: optional
 Section: python
 Standards-Version: 4.5.0
 Homepage: https://github.com/ipython/ipython
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-backcall,

## ipython 7.20.0

=== debian/changelog ===
ipython (7.20.0-1+deb11u1) bullseye-security; urgency=high

  * Fixes CVE-2022-21699 (execution of config files from the current
    directory, which might allow cross-user attacks if ipython is run from a
    directory multiple users can write). Closes: #1004122

 -- Gordon Ball <gordon@chronitis.net>  Fri, 28 Jan 2022 14:09:36 +0000

ipython (7.20.0-1) unstable; urgency=medium

  * New upstream version 7.20.0
  * Drop upstreamed patches for jedi, sip
  * Run the testsuite as an autopkgtest, enable autodep8 test

 -- Gordon Ball <gordon@chronitis.net>  Tue, 02 Feb 2021 19:50:23 +0000

ipython (7.19.0-3) unstable; urgency=medium

  * Team upload.
  * More Patches for new jedi version
  * Add patch for new python-sip (Closes: #966035)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 01 Jan 2021 10:13:33 +0100

ipython (7.19.0-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.

  [ Jochen Sprickerhof ]
  * Add patches for new jedi version

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 29 Dec 2020 17:40:23 +0100

ipython (7.19.0-1) unstable; urgency=medium

  * New upstream version 7.19.0

 -- Gordon Ball <gordon@chronitis.net>  Sun, 01 Nov 2020 11:15:43 +0000

ipython (7.18.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Gordon Ball ]
  * Add missing build-dependency: python3-decorator (Closes: #971180)
  * Rename the git repository from ipython4 -> ipython, and update Vcs-*
    fields accordingly.

 -- Gordon Ball <gordon@chronitis.net>  Tue, 27 Oct 2020 19:07:53 +0000

ipython (7.18.1-1) unstable; urgency=medium

  * New upstream version 7.18.1
  * Refresh patches
  * Update lintian-overrides for python3-ipython

 -- Gordon Ball <gordon@chronitis.net>  Mon, 31 Aug 2020 15:03:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: ipython
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>, Gordon Ball <gordon@chronitis.net>
 Priority: optional
 Section: python
@@ -9,7 +9,8 @@
                dh-python,
                python3-all,
                python3-backcall,
-               python3-jedi,
+               python3-decorator,
+               python3-jedi (>= 0.16),
                python3-nose,
                python3-numpydoc,
                python3-pexpect,
@@ -19,9 +20,10 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-traitlets,
-Vcs-Git: https://salsa.debian.org/python-team/modules/ipython4.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/ipython4
+Vcs-Git: https://salsa.debian.org/python-team/packages/ipython.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/ipython
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-python
 
 Package: python-ipython-doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
DEB_VERSION_MAJOR := $(shell echo $(DEB_VERSION_UPSTREAM) | cut -c 1)

#export DH_VERBOSE=1
export LC_ALL=C.UTF-8

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -f debian/tmp/usr/bin/iptest* debian/tmp/usr/bin/ipython
	mv debian/tmp/usr/share/man/man1/ipython.1 debian/tmp/usr/share/man/man1/ipython3.1

override_dh_auto_test:
	@echo "No test to avoid circular dependencies"

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 PYTHONPATH=. python3 -m sphinx -b html docs/source debian/python-ipython-doc/usr/share/doc/python-ipython-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_installchangelogs:
	dh_installchangelogs -k docs/source/whatsnew/version$(DEB_VERSION_MAJOR).rst

=== debian/tests/control ===
Tests: ipyshell
Depends: ipython3
Restrictions: allow-stderr

Test-Command: python3 -m pytest
Depends: @, git, python3-pytest, python3-nose, python3-testpath,
         python3-matplotlib, python3-nbformat, python3-ipykernel
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/ipython/ipython/tags .*/archive/v?([\d\.-]+)\.tar\.gz

## ipython 7.22.0

=== debian/changelog ===
ipython (7.22.0-1) unstable; urgency=medium

  [ Julien Puydt ]
  * Fix d/watch.

  [ Gordon Ball ]
  * New upstream version 7.22.0

 -- Gordon Ball <gordon@chronitis.net>  Sun, 15 Aug 2021 18:04:37 +0000

## ipython 7.27.0

=== debian/changelog ===
ipython (7.27.0-1) unstable; urgency=medium

  [ Gordon Ball ]
  * New upstream version 7.26.0
  * d/control: new dependency python3-matplotlib-inline

  [ Julien Puydt ]
  * Bump standards-version to 4.6.0.
  * New upstream version 7.27.0.

 -- Gordon Ball <gordon@chronitis.net>  Sat, 06 Nov 2021 19:22:12 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>, Gordon Ball <gordon@chronitis.net>
 Priority: optional
 Section: python
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/ipython/ipython
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -11,6 +11,7 @@
                python3-backcall,
                python3-decorator,
                python3-jedi (>= 0.16),
+               python3-matplotlib-inline,
                python3-nose,
                python3-numpydoc,
                python3-pexpect,

## ipython 7.31.1

=== debian/changelog ===
ipython (7.31.1-1) unstable; urgency=medium

  * New upstream version 7.31.1
  * Fixes CVE-2022-21699 (execution of config files from the current
    directory, which might allow cross-user attacks if ipython is run from a
    directory multiple users can write). Closes: #1004122

 -- Gordon Ball <gordon@chronitis.net>  Mon, 24 Jan 2022 20:22:25 +0000

ipython (7.31.0-1) unstable; urgency=medium

  [ Julien Puydt ]
  * New upstream version 7.29.0.
  * Remove Built-Using from the arch:all -doc package.
  * Rework patches.
  * Add some -doc packages as b-dep with nodoc tag.
  * Drop 0007-forgotten-sys.patch (useless?).

  [ Gordon Ball ]
  * Run pytest against all supported python versions
  * New upstream version 7.31.0

 -- Gordon Ball <gordon@chronitis.net>  Fri, 07 Jan 2022 15:09:47 +0000

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,9 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-traitlets,
+               python-traitlets-doc <!nodoc>,
+               python-jupyter-client-doc <!nodoc>,
+               python-jupyter-core-doc <!nodoc>
 Vcs-Git: https://salsa.debian.org/python-team/packages/ipython.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/ipython
 Rules-Requires-Root: no
@@ -30,7 +33,6 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
 Description: Enhanced interactive Python shell (documentation)
  IPython can be used as a replacement for the standard Python shell,
  or it can be used as a complete working environment for scientific

=== debian/tests/control ===
Tests: ipyshell
Depends: ipython3
Restrictions: allow-stderr

Tests: pytest
Depends: @, python3-all, git, python3-pytest, python3-nose, python3-testpath,
         python3-matplotlib, python3-nbformat, python3-ipykernel
Restrictions: allow-stderr

## ipython 8.1.0

=== debian/changelog ===
ipython (8.1.0-1) experimental; urgency=medium

  * New upstream version 8.1.0

 -- Gordon Ball <gordon@chronitis.net>  Mon, 14 Mar 2022 19:35:09 +0000

ipython (8.0.1-1) experimental; urgency=medium

  * New upstream version 8.0.1
  * Rebase patches, drop setuptools patch
  * Build using pybuild-plugin-pyproject instead of setuptools directly
  * Update dependencies: +black, +stack-data, +pytest-asyncio, -nose
  * Install manpages explicitly rather than via setuptools data_files
  * Skip tests known to fail with jedi 0.18.0

 -- Gordon Ball <gordon@chronitis.net>  Fri, 28 Jan 2022 11:40:45 +0000

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,13 @@
 Homepage: https://github.com/ipython/ipython
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
+               black,
                python3-all,
                python3-backcall,
                python3-decorator,
                python3-jedi (>= 0.16),
                python3-matplotlib-inline,
-               python3-nose,
                python3-numpydoc,
                python3-pexpect,
                python3-pickleshare,
@@ -20,6 +21,7 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
+               python3-stack-data,
                python3-traitlets,
                python-traitlets-doc <!nodoc>,
                python-jupyter-client-doc <!nodoc>,

## ipython 8.5.0

=== docs/requirements.txt ===
-e .[test]
ipykernel
setuptools>=18.5
sphinx
sphinx-rtd-theme
docrepr
matplotlib
stack_data
pytest<7

=== debian/changelog ===
ipython (8.5.0-4) unstable; urgency=medium

  * Team upload.
  * Add upstream patch for pygments > 2.14 (Closes: #1028617)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 20 Jan 2023 08:19:58 +0100

ipython (8.5.0-3) unstable; urgency=medium

  * Team upload.
  * Add workaround for stack_data in testing

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Dec 2022 15:16:53 +0100

ipython (8.5.0-2) unstable; urgency=medium

  * Team upload.
  * Add upstream patch for new python-stack-data

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Dec 2022 07:52:47 +0100

ipython (8.5.0-1) unstable; urgency=medium

  * New upstream version 8.5.0
  * patches: drop backport from 8.4.0-2, applied upstream

 -- Gordon Ball <gordon@chronitis.net>  Sat, 01 Oct 2022 18:26:44 +0000

ipython (8.4.0-2) unstable; urgency=medium

  * d/control: inject dependency on python3-setuptools
  * patches: backport ipython#d858213,7a49386 to fix test_pprint_heap_allocated_type

 -- Gordon Ball <gordon@chronitis.net>  Sat, 17 Sep 2022 21:08:27 +0000

ipython (8.4.0-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Security-Contact.

  [ Gordon Ball ]
  * New upstream version 8.4.0

 -- Gordon Ball <gordon@chronitis.net>  Sat, 27 Aug 2022 22:27:11 +0000

=== debian/control ===
--- 
+++ 
@@ -53,6 +53,7 @@
  ${misc:Depends},
  ${python3:Depends},
  python3-pexpect,
+ python3-setuptools,
 Suggests: python-ipython-doc
 Description: Enhanced interactive Python shell (Python 3 version)
  IPython can be used as a replacement for the standard Python shell,

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,11 @@
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_install:
-	dh_auto_install
-	rm -f debian/tmp/usr/bin/iptest* debian/tmp/usr/bin/ipython
-	mv debian/tmp/usr/share/man/man1/ipython.1 debian/tmp/usr/share/man/man1/ipython3.1
+execute_after_dh_auto_install:
+	rm debian/tmp/usr/bin/ipython
+
+execute_before_dh_installman:
+	mv docs/man/ipython.1 docs/man/ipython3.1
 
 override_dh_auto_test:
 	@echo "No test to avoid circular dependencies"

=== debian/tests/control ===
Tests: ipyshell
Depends: ipython3
Restrictions: allow-stderr

Tests: pytest
Depends: @, python3-all, git, python3-pytest, python3-pytest-asyncio, python3-testpath,
         python3-matplotlib, python3-nbformat, python3-ipykernel
Restrictions: allow-stderr

## ipython 8.14.0

=== debian/changelog ===
ipython (8.14.0-2) unstable; urgency=medium

  * Team upload.

  [ L. Guruprasad ]
  * Add upstream patch to fix broken embedding when using
    IPython.terminal.embed.InteractiveShellEmbed. (Closes: #1053223)

 -- Colin Watson <cjwatson@debian.org>  Thu, 05 Oct 2023 00:12:56 +0100

ipython (8.14.0-1) unstable; urgency=medium

  * New upstream version 8.14.0
  * Rebase patches; drop patches which apply to versions of jedi and
    stack-data below the version in stable.
  * Build-depend on python3-typing-extensions (for docs only)

 -- Gordon Ball <gordon@chronitis.net>  Sat, 22 Jul 2023 19:20:13 +0000

## ipython 8.20.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
SRCDIR        = source
BUILDDIR      = build
PYTHON        = python3

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SRCDIR)

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck api

default: html

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html        standalone HTML files"
	@echo "  html_noapi  same as above, without the time consuming API docs"
	@echo "  pickle      pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp    HTML files and a HTML help project"
	@echo "  latex       LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  texinfo     Texinfo files"
	@echo "  info        Texinfo files and run them through makeinfo"
	@echo "  changes     an overview over all changed/added/deprecated items"
	@echo "  linkcheck   check all external links for integrity (takes a long time)"
	@echo
	@echo "Compound utility targets:"
	@echo "pdf          latex and then runs the PDF generation"
	@echo "all          html and pdf"
	@echo "dist         all, and then puts the results in dist/"

clean_api:
	-rm -rf $(SRCDIR)/api/generated

clean: clean_api
	-rm -rf build/* dist/*
	-rm -f $(SRCDIR)/config/options/config-generated.txt
	-rm -f $(SRCDIR)/config/shortcuts/*.csv
	-rm -f $(SRCDIR)/interactive/magics-generated.txt

pdf: latex
	cd build/latex && make all-pdf

all: html pdf

# For final distribution, only build HTML (our pdf is now so large as to be
# unusable, takes forever to build and just bloats the downloads).  We leave
# them hardlinked at the top-level so users find them easily, though the
# original build/html dir is left in-place (useful to reload builds while
# testing).
dist: html
	rm -rf html
	cp -al build/html .
	@echo "Build finished.  Final docs are in html/"

html: api autoconfig automagic autogen_shortcuts
html_noapi: clean_api autoconfig automagic autogen_shortcuts

html html_noapi:
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

automagic: source/interactive/magics-generated.txt

source/interactive/magics-generated.txt: autogen_magics.py
	$(PYTHON) autogen_magics.py
	@echo "Created docs for line & cell magics"

autoconfig: source/config/options/config-generated.txt

source/config/options/config-generated.txt: autogen_config.py
	$(PYTHON) autogen_config.py
	@echo "Created docs for config options"

api: source/api/generated/gen.txt

source/api/generated/gen.txt:
	$(PYTHON) autogen_api.py
	@echo "Build API docs finished."

autogen_shortcuts: autogen_shortcuts.py ../IPython/terminal/interactiveshell.py source/config/shortcuts/index.rst
	$(PYTHON) autogen_shortcuts.py
	@echo "Created docs for shortcuts"

pickle:
	mkdir -p build/pickle build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

latex: api autoconfig
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.rst."

texinfo:
	mkdir -p $(BUILDDIR)/texinfo
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	mkdir -p $(BUILDDIR)/texinfo
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

=== docs/requirements.txt ===
-e .[doc]
sphinx>7
setuptools
sphinx_rtd_theme>=1.2.0
numpy
exceptiongroup
testpath
matplotlib
docrepr
prompt_toolkit
ipykernel
stack_data

=== debian/changelog ===
ipython (8.20.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Adds support for Python 3.12. (Closes: #1056414)
  * Refresh patches.
  * Drop the broken embedding patch, superseded upstream.
  * Clean correctly. (Closes: #1049281)
  * Copy the manpage instead of moving it. (Closes: #1049598)
  * Depend on python3-pandas, python3-pickleshare, and python3-trio in
    autotpkgtest for extra coverage.
  * Run the autopkgtest against the installed package.
  * Skip test_pretty_environ as it is broken.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 14 Jan 2024 20:32:19 -0400

=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
                python3-sphinx-rtd-theme <!nodoc>,
                python3-stack-data,
                python3-traitlets,
+               python3-typing-extensions <!nodoc>,
                python-traitlets-doc <!nodoc>,
                python-jupyter-client-doc <!nodoc>,
                python-jupyter-core-doc <!nodoc>

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	rm debian/tmp/usr/bin/ipython
 
 execute_before_dh_installman:
-	mv docs/man/ipython.1 docs/man/ipython3.1
+	cp docs/man/ipython.1 docs/man/ipython3.1
 
 override_dh_auto_test:
 	@echo "No test to avoid circular dependencies"

## ipython 8.30.0

=== debian/changelog ===
ipython (8.30.0-2) unstable; urgency=medium

  * Team upload.
  * Port to Sphinx 8.0 (closes: #1090234).

 -- Colin Watson <cjwatson@debian.org>  Thu, 19 Dec 2024 01:53:10 +0000

ipython (8.30.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix pdb issues in Python 3.13.1 (closes: #1088322).

 -- Colin Watson <cjwatson@debian.org>  Mon, 09 Dec 2024 01:11:42 +0000

ipython (8.29.0-1) unstable; urgency=medium

  [ Julian Gilbey ]
  * fix nodocs -> nodoc

  [ Gordon Ball ]
  * New upstream version 8.29.0 (Closes: #1063945)

 -- Gordon Ball <gordon@chronitis.net>  Mon, 11 Nov 2024 23:03:15 +0100

## ipython 8.35.0

=== docs/requirements.txt ===
--- 
+++ 
@@ -9,4 +9,4 @@
 docrepr
 prompt_toolkit
 ipykernel
-stack_data
+intersphinx_registry

=== tools/alldeps/Makefile ===
# Simple makefile to rapidly deploy IPython with all its dependencies.

# Configuration section.  The version numbers and paths declared here may
# change with each release.

# IPython version
IPYTHON_VER=0.9.1

# Declare here version numbers of all the dependencies
PYOPENSSL_VER=0.6
ZOPE_INTERFACE_VER=3.4.1
TWISTED_VER=8.1.0
FOOLSCAP_VER=0.3.1
NOSE_VER=0.10.3

# Repository URLs for all packages.  Make sure these are correct for each
# release, since projects may change paths!
IPYTHON_REPO=http://ipython.scipy.org/dist
PYOPENSSL_REPO=http://downloads.sourceforge.net/pyopenssl
ZOPE_INTERFACE_REPO=http://pypi.python.org/packages/source/z/zope.interface
TWISTED_REPO=http://tmrc.mit.edu/mirror/twisted/Twisted/8.1
FOOLSCAP_REPO=http://foolscap.lothar.com/releases
NOSE_REPO=http://somethingaboutorange.com/mrl/projects/nose

#-----------------------------------------------------------------------------
# Main code begins.  There shouldn't be much to change here with each release.
#

# Hand-written files to ship in self-contained tarball
SOURCES=pkginstall pkginstall.cfg Makefile README.txt README.html

# Versions of tarballs we ship
IPYTHON=ipython-$(IPYTHON_VER).tar.gz
IP_ALLDEPS=ipython-alldeps-$(IPYTHON_VER)

PYOPENSSL=pyOpenSSL-$(PYOPENSSL_VER).tar.gz
ZOPE_INTERFACE=zope.interface-$(ZOPE_INTERFACE_VER).tar.gz
NOSE=nose-$(NOSE_VER).tar.gz
TWISTED=Twisted-$(TWISTED_VER).tar.bz2
FOOLSCAP=foolscap-$(FOOLSCAP_VER).tar.gz

TARBALLS=$(PYOPENSSL) $(ZOPE_INTERFACE) $(TWISTED) $(FOOLSCAP) \
$(NOSE) $(IPYTHON)

# URLs for downloads

#-----------------------------------------------------------------------------
# Target declaration
#

# Targets to install, in correct dependency order
install: pyopenssl zope.interface twisted foolscap nose ipython
	echo
	echo "IPython Installation finished."
	echo "You can now run the ipython test suite by running:"
	echo "iptest"
	echo "If all tests pass, you can delete this entire directory."
	echo

# Download targets
download: $(TARBALLS)

$(IPYTHON):
	wget $(IPYTHON_REPO)/$(IPYTHON)

$(PYOPENSSL):
	wget $(PYOPENSSL_REPO)/$(PYOPENSSL)

$(ZOPE_INTERFACE):
	wget $(ZOPE_INTERFACE_REPO)/$(ZOPE_INTERFACE)

$(TWISTED):
	wget $(TWISTED_REPO)/$(TWISTED)

$(FOOLSCAP):
	wget $(FOOLSCAP_REPO)/$(FOOLSCAP)

$(NOSE):
	wget $(NOSE_REPO)/$(NOSE)


# The calls to pkginstall must use the actual Python package name
nose: $(NOSE)
	./pkginstall nose

zope.interface: $(ZOPE_INTERFACE)
	./pkginstall zope.interface zope

pyopenssl: $(PYOPENSSL)
	./pkginstall pyOpenSSL OpenSSL

twisted: $(TWISTED)
	./pkginstall Twisted

foolscap: $(FOOLSCAP)
	./pkginstall foolscap

ipython: $(IPYTHON)
	./pkginstall ipython IPython

# Distribution targets
dist: $(IP_ALLDEPS).tar

$(IP_ALLDEPS).tar: download readme
	-mkdir $(IP_ALLDEPS)
	-ln $(SOURCES) $(TARBALLS) $(IP_ALLDEPS)/
	tar cf $(IP_ALLDEPS).tar $(IP_ALLDEPS)
	rm -rf $(IP_ALLDEPS)

readme: README.html

README.html: README.txt
	rst2html README.txt > README.html

# Auxiliary targets
upload: dist
	rsync -e ssh -av README.html $(IP_ALLDEPS).tar \
	ipython@ipython.scipy.org:www/dist/alldeps

clean:
	ls -p | grep /$ | xargs rm -rf
	rm -f $(IP_ALLDEPS)* *~

distclean: clean
	rm -f $(TARBALLS)
	rm README.html

info:
	echo "TARBALLS"
	echo $(TARBALLS)

=== debian/changelog ===
ipython (8.35.0-2) unstable; urgency=medium

  * Team upload.
  * Fix marking of async tests for current pytest.

 -- Colin Watson <cjwatson@debian.org>  Wed, 10 Sep 2025 10:16:35 +0100

ipython (8.35.0-1) unstable; urgency=medium

  * New upstream version 8.35.0
  * d/patches: drop backport patches python-3.13.1-pdb, sphinx-8.0
    (no longer needed)
  * d/control: update version constraints (prompt-toolkit, traitlets)
  * d/control: standards-version 4.7.2 (no changes)
  * d/lintian-overrides: update context patterns
  * d/copyright: clean up references to paths which no longer exist

 -- Gordon Ball <gordon@chronitis.net>  Sat, 26 Apr 2025 21:20:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>, Gordon Ball <gordon@chronitis.net>
 Priority: optional
 Section: python
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/ipython/ipython
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                black,
                python3-all,
@@ -17,12 +17,12 @@
                python3-numpydoc,
                python3-pexpect,
                python3-pickleshare,
-               python3-prompt-toolkit (>= 2),
+               python3-prompt-toolkit (>= 3.0.41),
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-stack-data,
-               python3-traitlets,
+               python3-traitlets (>= 5.13),
                python3-typing-extensions <!nodoc>,
                python-traitlets-doc <!nodoc>,
                python-jupyter-client-doc <!nodoc>,
@@ -34,6 +34,7 @@
 
 Package: python-ipython-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Enhanced interactive Python shell (documentation)

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export LC_ALL=C.UTF-8
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 execute_after_dh_auto_install:
 	rm debian/tmp/usr/bin/ipython
@@ -19,7 +19,7 @@
 	@echo "No test to avoid circular dependencies"
 
 override_dh_sphinxdoc:
-ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 PYTHONPATH=. python3 -m sphinx -b html docs/source debian/python-ipython-doc/usr/share/doc/python-ipython-doc/html
 	dh_sphinxdoc -O--buildsystem=pybuild
 endif

=== debian/tests/control ===
Tests: ipyshell
Depends: ipython3
Restrictions: allow-stderr

Tests: pytest
Depends: git,
         python3-all,
         python3-ipykernel,
         python3-matplotlib,
         python3-nbformat,
         python3-pandas,
         python3-pickleshare,
         python3-pytest,
         python3-pytest-asyncio,
         python3-testpath,
         python3-trio,
         @
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)(rc|a|b)/$1~$2/ \
https://github.com/ipython/ipython/tags .*/@ANY_VERSION@@ARCHIVE_EXT@

## ipython 9.8.0

=== debian/changelog ===
ipython (9.8.0-1) experimental; urgency=medium

  * New upstream version 9.8.0
  * d/control: drop dependency on python3-backcall
  * d/control: standards-version 4.7.3, drop rules-requires-root, drop priority
  * d/patches: rebase, drop pytest-asyncio-marks.patch (upstreamed)
  * d/watch: upgrade to version 5
  * d/patches: patch out (unpackaged) sphinx_toml, intersphinx_registry
  * d/lintian-overrides: drop unused

 -- Gordon Ball <gordon@chronitis.net>  Sun, 28 Dec 2025 23:54:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: ipython
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>, Gordon Ball <gordon@chronitis.net>
-Priority: optional
 Section: python
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/ipython/ipython
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                pybuild-plugin-pyproject,
                black,
                python3-all,
-               python3-backcall,
                python3-decorator,
                python3-jedi (>= 0.16),
                python3-matplotlib-inline,
@@ -29,7 +27,6 @@
                python-jupyter-core-doc <!nodoc>
 Vcs-Git: https://salsa.debian.org/python-team/packages/ipython.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/ipython
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 
 Package: python-ipython-doc

=== debian/watch ===
Version: 5
Template: Github
Owner: ipython
Project: ipython
Uversion-mangle: auto

## ipython cells-5.2.2

=== Makefile ===
.ONESHELL:
.SHELLFLAGS = -ec
.SILENT:
version := $(shell python -c "from importlib import metadata; print(metadata.version('ipython-cells'))")

.PHONY: dist
dist:
	python -m build

.PHONY: release
release: dist
	twine upload -u __token__ dist/ipython_cells-$(version)*

## ipython playground-0.4.0

=== Makefile ===
setup:
	uv venv && uv sync
	@echo "activate: source ./.venv/bin/activate"

clean:
	rm -rf *.egg-info
	rm -rf .venv

update_copier:
	uv tool run --with jinja2_shell_extension \
		copier@latest update --vcs-ref=HEAD --trust --skip-tasks --skip-answered
